import { test as base } from "@playwright/test";

export const test = base.extend<{ logTestInfo: void }>({
    logTestInfo: async ({ page, browserName }, use) => {
        const workerIndex = base.info().workerIndex;
        const testName = base.info().title;
        const device = browserName;
        const browserVersion = await page.context().browser()?.version();

        console.log(`Worker ${workerIndex} is running: ${testName} on ${device} (v${browserVersion})`);

        await use(); // This ensures Playwright continues execution
    },
});